<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG2</title>
	<link rel="stylesheet" href="style.css">
	<style>
		table,
		th,
		td {
			border: 1px solid black;
		}
	</style>
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologias Emergentes. Curso 2019-20<br>
			Trabajo TG2 del grupo ??<br>
			Titulo: TG2. Evaluar y comparar dos tecnologias emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Informacion general</a></li>
			<li><a href="#2">2. Descripcion de las tecnologias</a></li>
			<li><a href="#3">3. Criterios de comparacion</a></li>
			<li><a href="#4">4. Evaluacion de los criterios por categoria</a></li>
			<li><a href="#5">5. Comparacion de las tecnologias</a></li>
			<li><a href="#6">6. Recomendaciones</a></li>
		</ul>
	</nav>

	<main>
		<section id=1">
			<h2>1. Información general</h2>
			<h3>1.1 Autores</h3>
			<p>GRUPO T8
				<p>Daniel Martinez Algar</p>
				<p>Marina Muñoz Latienda</p>
				<p>César Ortega Nieto</p>
				<p>Sandra López Méndez</p>
				<p>Vicente García González</p>
			</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<a href="https://gitlab.com/dte2020/t8/TG2/">https://gitlab.com/dte2020/t8/TG2/</a>".</p>
			<h3>1.3 Burndown chart</h3>
			<img src="burndownTG2.jpg">
			<h3>1.4 Presentación del trabajo</h3>
			<a href="tg2.pptx">Presentación con diapositivas del trabajo TG2</a></p>			
		</section>
		<section id="2">
			<h2>2. Descripcion de las tecnologias</h2>
			<h3>2.1 Descripcion de la tecnologia OWASP ZAP</h3>
			<p>OWASP ZAP (Open Web Application Security Project) es un proyecto abierto sin ánimo de lucro destinado a mejorar la seguridad de las diferentes
				aplicaciones y servicios web con el fin de conseguir un Internet más seguro. Para ello pretende hacer públicos los resultados de diferentes análisis
				de seguridad para que las organizaciones tengan constancia de ellos y los solucionen lo antes posible para mantener al máximo la seguridad de sus usuarios.
				Una de las herramientas más potentes del programa OWASP es ZAP (Zed Attack Proxy). Esta plataforma está diseñada especialmente para monitorizar la seguridad 
				de las aplicaciones web de las compañías, siendo una de las aplicaciones del proyecto más activas en cuanto a auditorías de seguridad.
				Las principales caractarerísticas de OWASP ZAP son: herramienta totalmente gratuita, herramienta multi-plataforma, compatible incluso con Raspberry Pi, 
				fácil de instalar, posibilidad de asignar un sistema de prioridades, está traducida a más de 12 idiomas y cuenta con un excelente manual de ayuda y gran comunidad en la red. </p>
			<h3>2.2 Descripcion de la tecnologia Vega</h3>
			<p>Esta es una herramienta gratis y de código abierto que nos sirve para escanear la seguridad de una fuente web, y para testear la seguridad de 
				aplicaciones web. Vega nos puede ayudar a encontrar y erradicar vulnerabilidades como injección SQL, o XSS (cross-site scripting) entre otros. 
				XSS es un tipo de vulnerabilidad característica de las aplicaciones web, que permite a una tercera persona inyectar en paginas web visitadas por el 
				usuario código de diferentes lenguajes como JavaScript. 
				Aparte de estos dos tipos de vulnerabilidades comentados se podrán detectar y erradicar otros tipos de vulnerabilidades como stored cross-site 
				scripting, blind SQL injection o Shell injection entre otros. 
				Esta herramienta esta programada en java y es soportada en sistemas operativos como Linux, OS X y Windows. 
				Vega dispone de un escáner automatizado con el que podremos hacer pruebas rápidas y también tiene un proxy para proteger nuestra IP cuando 
				realizamos una auditoria web. También puede probar ajustes de seguridad TLS/SSL e identifica oportunidades para mejorar la seguridad en nuestros 
				servidores TLS (significa seguridad de la capa de transporte, es un protocolo criptográfico que proporciona comunicaciones seguras por una red. 
				Nos permite el intercambio de datos en un entorno seguro y privado. Este está basado en SSL, que significa capa de sockets seguros, podríamos 
				decir que es una versión previa al TLS). 
				</p>
		</section>
		<section id="3">
			<h2>3. Criterios de comparacion</h2>
			<p>En los sub-apartados de este apartado se deben indicar cada uno de los criterios
				(tambien llamados factores, propiedades, caracteristicas, indicadores, etc.),
				que se usaran en la comparacion.</p>
			<p>Los criterios deben organizarse en categorias (al menos 3 categorias).
				El numero de criterios totales no puede ser inferior a 20.</p>
			<p>Las categorias dependeran del tipo de tecnologia,
				pueden ser categorias como “General”, “Utilidades”, “Rendimiento”, etc.</p>

			<p>Por cada criterio hay que indicar el nombre, una breve descripcion, y el tipo de valor a asignar al
				criterio.</p>
			<p>Los criterios a definir en cada categoria tambien dependeran del tipo de tecnologias a comparar.
				En el siguiente apartado hay algunos ejemplos a modo de plantilla, que deberan modificarse y adaptarse a
				caso concreto de cada grupo. En este ejemplo se ha supuesto que el trabajo es sobre comparacion de
				herramientas de modelado UML.</p>
			<h3>3.1 Categoria A: General</h3>
			<h4>3.1.1 Criterio A.1: Precio</h4>
			<ul>
				<li>Nombre del criterio: Precio.</li>
				<li>Descripcion: Valor monetario que se asigna a la herramienta. </li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.1.2 Criterio A.2: Licencia.</h4>
			<ul>
				<li>Nombre del criterio: Licencia.</li>
				<li>Descripcion:Tipo de contato mediante el cual el usuario recibe el derecho de uso, de copia,
					de distribución, e estudio y de modificación de la herramienta tecnológica. (open source, privative, freeware, etc...)</li>
				<li>Tipo de valor: Texto libre. </li>
			</ul>
			<h4>3.1.3 Criterio A.3: Versión del producto.</h4>
			<ul>
				<li>Nombre del criterio: Versión del producto.</li>
				<li>Descripcion: Conjunto de estados del progreso durante el ciclo de vida de la herramienta software.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.1.4 Criterio A.4: Idiomas.</h4>
			<ul>
				<li>Nombre del criterio: Idiomas.</li>
				<li>Descripcion: A cuántos idiomas están traducidas las herramientas. </li>
				<li>Tipo de valor: Texto libre.</li>
			/<ul>
			<h4>3.1.5 Criterio A.5: Desarrollador de la herramienta.</h4>
			<ul>
				<li>Nombre del criterio: Autor.</li>
				<li>Descripcion: Desarrollador o copañía que se engargó del proceso de desarrollo de la herramienta tecnológica.</li>
				<li>Tipo de valor: Nombre.</li>
			</ul>
			<h4>3.1.6 Criterio A.6: Lenguaje en el que está programada.</h4>
			<ul>
				<li>Nombre del criterio: Lenguaje de programación.</li>
				<li>Descripcion: Lenguaje de programación en el que está escrito el conjunto de órdenes, acciones consecutivas,
					datos y algoritmos para crear los programas que pueden ser utilizados en las herramientas.</li>
				<li>Tipo de valor: Texto libre. </li>
			</ul>
			<h3>3.2 Categoria B: Funciones. </h3>
			<h4>3.2.1 Criterio B.1: Proxy de interceptación.</h4>
			<ul>
				<li>Nombre del criterio: Proxy de interceptación.</li>
				<li>Descripcion: la interceptación de proxy, con la que se muestran el flujo de peticiones y respuestas 
					http que se establecen entre el dispositivo del cliente y la app web.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.2.2 Criterio B.2: Extensibilidad e Integración.</h4>
			<ul>
				<li>Nombre del criterio: Extensibiliad e integración.</li>
				<li>Descripcion: Capacidad para integrarse con otras herramientas y mejorar así sus funcionalidades.  </li>
				<li>Tipo de valor: Booleano. (Si/No)</li>
			</ul>
			<h4>3.2.3 Criterio B.3: Pruebas fuzzing.</h4>
			<ul>
				<li>Nombre del criterio: Pruebas fuzzing.</li>
				<li>Descripcion: Comprbar si en la herramienta se pueden hacer pruebas fuzzing.</li>
				<li>Tipo de valor: Booleano. (Si/No)</li>
			</ul>
			<h4>3.2.4 Criterio B.4: Explotación de datos.</h4>
			<ul>
				<li>Nombre del criterio: Explorar datos.</li>
				<li>Descripcion: Posibilidad de exportación de datos.</li>
				<li>Tipo de valor: Texto libre. </li>
			</ul>
			<h4>3.2.5 Criterio B.5: Sistema de Alertas. </h4>
			<ul>
				<li>Nombre del criterio: Alertas.</li>
				<li>Descripcion: Cuáles son los distintos sistemas de alertas que utilizan las distintas herramientas. </li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.2.6 Criterio B.6: Configuración de Socket.</h4>
			<ul>
				<li>Nombre del criterio: Socket.</li>
				<li>Descripcion: Si se permite la configuración de socket de las distintas herramientas.</li>
				<li>Tipo de valor: Booleano. (Si/No)</li>
			</ul>
			<h4>3.2.7 Criterio B.7: Pruebas SSL/TLS.</h4>
			<ul>
				<li>Nombre del criterio: Pruebas SSL/TLS.</li>
				<li>Descripcion: Comprbar si en la herramienta se pueden hacer pruebas SSL/TLS.</li>
				<li>Tipo de valor: Booleano. (Si/No)</li>
			</ul>
			<h4>3.2.8 Criterio B.8: Navegadores compatibles. </h4>
			<ul>
				<li>Nombre del criterio: Navegadores compatibles.</li>
				<li>Descripcion: Indica ren qué navegadores se puede hacer uso de las distintas herramentas.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.2.9 Criterio B.9: Interfaz.</h4>
			<ul>
				<li>Nombre del criterio: Interfaz.</li>
				<li>Descripcion: Indica si existe interfaz de usuario gráfica y el nivel de dificultad de uso. </li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h3>3.3 Categoria C: Aspectos Técnicos. </h3>
			<h4>3.3.1 Criterio C.1: Tiempo de instalación.</h4>
			<ul>
				<li>Nombre del criterio: Tiempo de instalación.</li>
				<li>Descripcion: Tiempo que se tarda en instalar el programa.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.3.2 Criterio C.2: Peso herramienta (Megas).</h4>
			<ul>
				<li>Nombre del criterio: Peso herramienta.</li>
				<li>Descripcion: Cuántos megas ocupa la herramienta.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.3.3 Criterio C.3: Rapidez de Análisis.</h4>
			<ul>
				<li>Nombre del criterio: Rapidez de análisis.</li>
				<li>Descripcion: Grado de rapidez en que se analiza la herramienta.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.3.4 Criterio C.4: Disponibilidad en diferentes SSOO.</h4>
			<ul>
				<li>Nombre del criterio: Disponibilidad en Sistemas Operativos.</li>
				<li>Descripcion: Indica los Sistemas Operativos en que Podemos encontrar disponible la herramienta.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.3.5 Criterio C.5: Soporte.</h4>
			<ul>
				<li>Nombre del criterio: Soporte técnico.</li>
				<li>Descripcion: Soporte técnico y ayudas disponibles para el uso de la aplicación o para la consulta de posibles errores.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.3.6 Criterio C.6: Compatible incluso con Raspberry Pi.</h4>
			<ul>
				<li>Nombre del criterio: Compatibilidad con Raspberry Pi.</li>
				<li>Descripcion:  Indicar si es compatible con el uso de Raspberry Pi</li>
				<li>Tipo de valor: Booleano (Si/No)</li>
			</ul>
			<h3>3.4 Categoria D: Aprendizaje. </h3>
			<h4>3.4.1 Criterio D.1: Cursos de desarrollo en Internet.</h4>
			<ul>
				<li>Nombre del criterio: Cursos de desarrollo en Internet.</li>
				<li>Descripcion: Indicar la existencia de cursos de desarrollo para las herramientas.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.4.2 Criterio D.2: Documentación en la página Web.</h4>
			<ul>
				<li>Nombre del criterio: Documentación en la página Web.</li>
				<li>Descripcion: Indicar si la documentación proporcionada por la página web, hace uso de contenido completo
					que permita entender de forma correcta el funcionamiento de la herramienta.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.4.3 Criterio D.3: Comunidad.</h4>
			<ul>
				<li>Nombre del criterio: Comunidad.</li>
				<li>Descripcion: Indicar si la herramienta tiene una comunidad activa y si es así, aportar el link.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
			<h4>3.4.4 Criterio D.4: Calidad del Manual de Ayuda.</h4>
			<ul>
				<li>Nombre del criterio: Calidad del Manual de Ayuda.</li>
				<li>Descripcion: Indicar la calidad del manual de ayuda y si no lo hubiere indicarlo también.</li>
				<li>Tipo de valor: Texto libre.</li>
			</ul>
		</section>

		<section id="4">
			<h2>4. Evaluacion de los criterios por categoria</h2>
			<h3>4.1 Evaluacion de los criterios para la tecnologia OWASP ZAP</h3>
			<table>
				<tr>
					<th>Criterio</th>
					<th>Evaluacion</th>
				</tr>
				<tr>
					<td>Criterio A.1: Precio</td>
					<td>0€</td>
				</tr>
				<tr>
					<td>Criterio A.2: Licencia</td>
					<td>Código abierto</td>
				</tr>
				<tr>
					<td>Criterio A.3: Versión de producto</td>
					<td>2.9.0</td>
				</tr>
				<tr>
					<td>Criterio A.4: Idiomas</td>
					<td>+ 12 idiomas (español entre ellos)</td>
				</tr>
				<tr>
					<td>Criterio A.5: Desarrollador de la herramienta</td>
					<td>Zap dev team</td>
				</tr>
				<tr>
					<td>Criterio A.6: Lenguaje en el que está programada</td>
					<td>Java</td>
				</tr>
				<tr>
					<td>Criterio B.1: Proxy de interceptación</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio B.2: Extensibilidad e integración</td>
					<td>Si, a través de zap Marketplace se encuentran add-ons que podemos descargar</td>
				</tr>
				<tr>
					<td>Criterio B.3: Pruebas fuzzing</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio B.4: Exportación de datos</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio B.5: Sistema de alertas</td>
					<td>Si, ordenado por nivel (médium, low, informational)</td>
				</tr>
				<tr>
					<td>Criterio B.6: Configuración de socket</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio B.7: Pruebas SSL/TLS</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio B.8: Navegadores compatibles</td>
					<td>Todos los navegadores</td>
				</tr>
				<tr>
					<td>Criterio B.9: Interfaz</td>
					<td>Si, fácil de manejar e intuitiva</td>
				</tr>
				<tr>
					<td>Criterio C.1: Tiempo de instalación</td>
					<td> menos de 1 minuto</td>
				</tr>
				<tr>
					<td>Criterio C.2: Peso herramienta</td>
					<td>93,9 MB</td>
				</tr>
				<tr>
					<td>Criterio C.3: Rapidez de análisis</td>
					<td>Dependiendo del tipo de análisis y complejidad de la página a analizar, podría llegar a tardar hasta 1 hora o más</td>
				</tr>
				<tr>
					<td>Criterio C.4: Disponibilidad en diferentes SSOO</td>
					<td>Windows, Linux, MacOs</td>
				</tr>
				<tr>
					<td>Criterio C.5: Soporte</td>
					<td>Se pueden hacer preguntas en la comunidad, o twitter, o a través de “issue tracker” en github</td>
				</tr>
				<tr>
					<td>Criterio C.6: Compatible incluso con raspberry pi</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio D.1: Cursos de desarrollo en internet</td>
					<td>Abundantes cursos tanto gratuitos como de pago</td>
				</tr>
				<tr>
					<td>Criterio D.2: Documentación en la página web</td>
					<td>Si</td>
				</tr>
				<tr>
					<td>Criterio D.3 Comunidad</td>
					<td><a href="https://groups.google.com/forum/#!forum/zaproxy-users">Enlace a la comunidad</a></td>
				</tr>
				<tr>
					<td>Criterio D.4: Calidad del manual de ayuda</td>
					<td>Dispone de un buen manual de ayuda online separado por apartados</td>
				</tr>
			</table>

			<h3>4.2 Evaluación de los criterios para la tecnología Vega</h3>
            <table>
                <tr>
                    <th>Criterio</th>
                    <th>Evaluacion</th>
                </tr>
                <tr>
                    <td>Criterio A.1: Precio</td>
                    <td>0€</td>
                </tr>
                <tr>
                    <td>Criterio A.2: Licencia</td>
                    <td>Código abierto</td>
                </tr>
                <tr>
                    <td>Criterio A.3: Versión de producto</td>
                    <td>1.0</td>
                </tr>
                <tr>
                    <td>Criterio A.4: Idiomas</td>
                    <td>Solo inglés</td>
                </tr>
                <tr>
                    <td>Criterio A.5: Desarrollador de la herramienta</td>
                    <td>Subgraph</td>
                </tr>
                <tr>
                    <td>Criterio A.6: Lenguaje en el que está programada</td>
                    <td>Java</td>
                </tr>
                <tr>
                    <td>Criterio B.1: Proxy de interceptación</td>
                    <td>Si</td>
                </tr>
                <tr>
                    <td>Criterio B.2: Extensibilidad e integración</td>
                    <td>Los módulos de Vega están en JavaScript. 
                        Es fácil crear nuevos módulos utilizando la API que ofrece Vega.</td>
                </tr>
                <tr>
                    <td>Criterio B.3: Pruebas fuzzing</td>
                    <td>Si</td>
                </tr>
                <tr>
                    <td>Criterio B.4: Exportación de datos</td>
                    <td>No tiene opciones de 'reporting' y no permite exportar ni a PDF ni en general a ningún formato.</td>
                </tr>
                <tr>
                    <td>Criterio B.5: Sistema de alertas</td>
                    <td>Si, los dos módulos son capaces de generar alertas, que incorporan una combinación de contenido dinámico del módulo y contenido estático en un archivo XML especificado por la alerta.</td>
                </tr>
                <tr>
                    <td>Criterio B.6: Configuración de socket</td>
                    <td>Si</td>
                </tr>
                <tr>
                    <td>Criterio B.7: Pruebas SSL/TLS</td>
                    <td>Si</td>
                </tr>
                <tr>
                    <td>Criterio B.8: Navegadores compatibles</td>
                    <td>Se recomienda utilizar FireFox ya que este mantiene su propia configuración de proxy. Otros navegadores como Chrome,MSIE utilizan la configuración del proxy del sistema de forma predeterminada.</td>
                </tr>
                <tr>
                    <td>Criterio B.9: Interfaz</td>
                    <td>Interfaz gráfica de usuario bien diseñada, limpia y agradable.</td>
                </tr>
                <tr>
                    <td>Criterio C.1: Tiempo de instalación</td>
                    <td>Menos de 1 minuto</td>
                </tr>
                <tr>
                    <td>Criterio C.2: Peso herramienta</td>
                    <td>27,3 MB</td>
                </tr>
                <tr>
                    <td>Criterio C.3: Rapidez de análisis</td>
                    <td>Realizando un análisis con un dominio, analizando todos los tipos de vulnerabilidades ha tardado unos 6 min. Pero esto dependerá de la aplicación que estudiemos.</td>
                </tr>
                <tr>
                    <td>Criterio C.4: Disponibilidad en diferentes SSOO</td>
                    <td>Windows, Linux, MacOs</td>
                </tr>
                <tr>
                    <td>Criterio C.5: Soporte</td>
                    <td>Cuenta con una ayuda comunitaria, informes de errores y solicitudes de funciones, ayuda en vivo, email.</td>
                </tr>
                <tr>
                    <td>Criterio C.6: Compatible incluso con raspberry pi</td>
                    <td>No</td>
                </tr>
                <tr>
                    <td>Criterio D.1: Cursos de desarrollo en internet</td>
                    <td>No hay cursos como tal sobre la tecnología, pero si podemos encontrar guías de como hacer el escaneo de vulnerabilidades.</td>
                </tr>
                <tr>
                    <td>Criterio D.2: Documentación en la página web</td>
                    <td>Si</td>
                </tr>
                <tr>
                    <td>Criterio D.3 Comunidad</td>
                    <td><a href="https://subgraph.com/vega/support/index.en.html">Enlace a la comunidad</a></td>
                </tr>
                <tr>
                    <td>Criterio D.4: Calidad del manual de ayuda</td>
                    <td>Hay varios documentos. 
                        Documentación básica: sobre vega, obtener vega, instalando vega, solución de problemas de instalación.
                        Varias guías: usando el escáner Vega, usando el Proxy Vegas, usando el escáner proxy, escaneo con credenciales
                        Vega extendida: extendiendo Vega con la API, módulos de ejemplo, construyendo Vega desde la fuente, informar errores y solicitar funciones.
                        </td>
                </tr>
            </table>
		</section>

        <section id="5">
			<h2>5. Comparacion de las tecnologias</h2>
            <table>
                <tr>
                    <th>Criterio</th>
                    <th>OWASP ZAP</th>
                    <th>VEGA</th>
                    <th>Comentarios</th>

                </tr>
                <tr>
                    <td>Instalación</td>
                    <td>Multiplataforma (Windows, Linux, Mac Os)</td>
                    <td>Multiplataforma (Microsoft Windows, Mac OS X y Linux)</td>
                    <td>Se debe tener Java instalado para que la aplicación se ejecute correctamente.</td>
                </tr>
                <tr>
                    <td>Escalabilidad</td>
                    <td>Adaptable y escalable en el tiempo.</td>
                    <td>No cuenta con apenas funciones para su escalabilidad.</td>
                    <td>En el caso de VEGA los módulos no siempre van bien, fallan en ocasiones en funciones básicas.</td>
                </tr>
                <tr>
                    <td>Tipos de escaneos</td>
                    <td>Escaneo de línea de base, Escaneo API, Escaneo completo.</td>
                    <td>Escáner automatizado, proxy interceptor.</td>
                    <td>OWASP ZAP cuenta con la ventaja de tener nálisis pasivos y posibilidad de lanzar varios ataques a la vez.</td>
               </tr>
           
            <tr>
                    <td>Opciones de reporting y exportación</td>
                    <td>Permite exportar en HTML, XML, PDF </td>
                    <td>No tiene opciones de reporting y no permite exportar</td>
                    <td>Con exportar nos referimos a informes de alerta, con owsap-zap esto si se puede realizar.</td>
               </tr>
             <tr>
                    <td>Consumo de recursos</td>
                    <td>Medio-alto</td>
                    <td>Muy bajo</td>
                    <td>Aunque VEGA consume menos recursos también proporciona menos funciones.</td>
               </tr>
           <tr>
                    <td>Integración con otras herramientas</td>
                    <td>Baja integración con otras herramientas.</td>
                    <td>Alta integración con otras herraientas</td>
                    <td>OWASP ZAP Proporciona un API Rest (disponible en JSON, HTML y XML) para la integración con otras herramienta </td>
               </tr>
            <tr>
               <td>Tienda de extensiones o plugins</td>
               <td>Dispone de una tienda de extensiones (plugins) con las que añadir más funcionalidades a la herramienta.</td>
               <td>No dspone de plugins.</td>
               <td>En OWASP ZAP se puede explorar y descargar complementos haciendo clic en un botón de la barra de herramientas. Tambien se pueden importar desde otro lugar externo.</td>
          </tr>   
          <tr>
            <td>Fuzzing</td>
            <td>Cuenta con fuzzing.</td>
            <td>Cuenta con fuzzing.</td>
            <td>Las pruebas de fuzzing son una técnica de pruebas de caja negra para software básica, las cuales consisten básicamente en encontrar fallas de implementación utilizando inyección de datos malformados de manera automática.</td>
        </tr> 
        <tr>
            <td>Documentación</td>
            <td>Disponible en español.</td>
            <td>No disponible en español.</td>
            <td>Cabe destacar que OWASP a parte de tener documentacion en varios idiomas la propia plataforma ha sido traducida a por lo menos 25 idiomas</td>
          </tr> 
          <tr>
            <td>Soporte para WebSocket.</td>
            <td>Sí.</td>
            <td>No.</td>
            <td>WebSocket es un protocolo de comunicaciones informáticas que proporciona canales de comunicación full-duplex a través de una única conexión TCP</td>
       </tr> 
            </table>
        </section>



		<section id="6">
			<h2>6. Recomendaciones</h2>
			<h3>6.1 Situacion A</h3>
			<h4>6.1.1 Descripcion de la situacion</h4>
			<p>La situación en la que podemos recomendar el uso de esta tecnología software sería la siguiente. Una empresa
				o un particular que ha creado su propia página web, sencilla, y que quiere ver si esta cumple con ciertos 
				requisitos de seguridad, que haría que su servicio web fuera más seguro.
			</p>
			<h4>6.1.2 Recomendacion de la tecnología a utilizar</h4>
			<p>La tecnología que se va a describir en este apartado es VEGA</p>
			<table>
				<tr>
					<th>Criterios relevantes para la decision</th>
					<th>Ventajas VEGA</th>
					<th>Ventajas OWASP ZAP</th>
				</tr>
				<tr>
					<td>Uso más simple de la herramienta</td>
					<td>Presenta una mayor facilidad a la hora de utilizar su interfaz</td>
					<td>Es algo más difícil de utilizar su interfaz </td>
				</tr>
				<tr>
					<td>La información final es clara</td>
					<td>Cuenta con una información muy bien estructurada para la recopilación de información clave</td>
					<td>Se obtiene bastante información también, pero es más técnica y compleja que la información de VEGA</td>
				</tr>
				<tr>
					<td>Documentación completa para el uso del software</td>
					<td>Ofrece diferentes documentos en su página para poder aprender a utilizar la herramienta, además de como instlarla correctamente</td>
					<td>Cuenta también con documentación, pero es más técnica que la que tiene VEGA</td>
				</tr>
				<tr>
					<td>Alertas personalizables</td>
					<td>Tiene opciones para customizar las alertas que se obtiene en los diferentes análisis</td>
					<td>No presenta una opción similar en cuanto a la customización de las alertas</td>
				</tr>
			</table>

			<h3>6.2 Situacion B</h3>
			<h4>6.2.1 Descripcion de la situacion</h4>
			<p>Para esta tecnología las situaciones en las que recomendaríamos su uso pueden ser las siguientes. Un caso de uso sería el de una empresa bastante 
				importante que quisiera ver que problemas puede tener su web en cuanto a seguirida, y como solucionarlos. Otro caso podría ser el de un estudiante
				de alguna carrera o master de seguridad informática, y que quiera aprender sobre seguridad web. Incluso podríamos considerar esta tecnología para
				una persona que se dedica a la seguridad en páginas web y que la use para llevar a cabo el análisis previo, y que posteriormente solucionase los
				diferentes problemas que pudiera encontrar con el software.
			</p>
			<h4>6.2.2 Recomendacion de la tecnología a utilizar</h4>
			<p>La tecnología que se va a describir es OWASP ZAP</p>
			
			<table>
				<tr>
					<th>Criterios relevantes para la decision</th>
					<th>Ventajas OWASP ZAP</th>
					<th>Ventajas VEGA</th>
				</tr>
				<tr>
					<td>Funcionalidad</td>
					<td>Cuenta con más funcionalidades técnicas para el análisis</td>
					<td>Sus funcionabilidades son más limitadas que las de OWASP ZAP</td>
				</tr>
				<tr>
					<td>Información del análisis detallada</td>
					<td>Da información del análisis, pero además da unas pequeñas pautas de las soluciones a llevar a cabo</td>
					<td>También se obtiene la información necesaria, pero no presenta soluciones a los problemas</td>
				</tr>
				<tr>
					<td>Comunidad de usuarios</td>
					<td>Cuenta con una comunidad de usuarios muy activa y grande, permitiendo que el software siempre esté mejorando</td>
					<td>La comunidad de VEGA es más pequeña, pero también proporciona información y mejoras en el software</td>
				</tr>
				<tr>
					<td>Plataformas de ejecución</td>
					<td>Puede ejecutarse en la mayoría de plataformas como son Windows, Linux y MacOS </td>
					<td>Las plataformas en las que se encuentra disponible son las mismas también</td>
				</tr>
				<tr>
					<td>Soporte - Idioma</td>
					<td>Se encuentra en Español</td>
					<td>Solo tiene la opción de idioma en Inglés</td>
				</tr>
			</table>
	</main>

</body>

</html>